
#include "Common.h"
#include "config/ServerProperties.h"
#include "DedicatedServer.h"

using namespace Feather;
using Feather::Config::ServerProperties;

int main()
{
    ServerProperties properties("server.properties");
    properties.Save();
    Log::Info("Starting server on port {}", properties.serverPort.GetValue());
    auto server = DedicatedServer(&properties);

    return 1;
}
